FreeBSD - статьи




Настройка фильтров (антивирус, антиспам и форвардер) - часть 3


#!/bin/sh

KAV_PATH=/usr/local/share/AVP PATH=$PATH:/usr/local/bin

if [ ! -x /usr/local/bin/wget ]; then echo "$0: wget must be installed for the updater to run" >&2 exit 1 fi

DESC="kaspersky anti-virus updater"

if [ -r ~.AVP/AvpUnix.ini ]; then INIFILE=~.AVP/AvpUnix.ini else if [ -r /etc/AVP/AvpUnix.ini ]; then INIFILE=/etc/AVP/AvpUnix.ini fi fi

if [ -r $INIFILE ]; then eval `egrep '^[A-Za-z]*=' $INIFILE | perl -pe 's/\r//g'` fi

if [ -n "$UpdatePath" ]; then DPARMS="$UpdatePath" else if [ -n $1 ]; then echo "warning! add updatepath in your config file AvpUnix.ini" exit 1 fi DPARMS=$1 fi

echo echo echo run kaspersky antivirus updating: echo checking parameters "$DPARMS"

if [ $? -eq 0 ]; then $KAV_PATH/kavupdater -uik="$DPARMS" -o -y -kb exitCode=$? case $exitCode in 8) echo 8 - new antiviral bases not found. ;; 6) echo 6 - found corrupted file and process stoped on it. ;; 4) echo 4 - found corrupted file. ;; 2) echo 2 - process stoped on corrupted file. ;; 0) echo 0 - antiviral bases correctly loaded. ;; *) echo $exitCode - i dont know this exit code! esac else echo "$0: network connection error." >&2 exit 1 fi

exit 0

запустите обновлялку /etc/periodic/daily/900.kavupdater. оно должно скачать и установить все базы для kav. после этого запуск kavscanner должен запустится проверить /tmp и ни на что не ругаться.

spamassassin

как обычно:

cd /usr/ports/lang/perl5 make install clean use.perl port cd /usr/ports/mail/p5-Mail-SpamAssassin make install clean

потянет за собой кучу байды, но она, видимо, нужна, так что потерпите уж. perl 5.6.1 тоже нужен для фильтровых скриптов. отредактируем конфиг spamassassin. /usr/local/etc/mail/spamassassin/local.cf:

# подробный отчёт clear_report_template report тут, похоже, привалило спама, но я его узнал и отловил. письмо, которое пришло report находится в приложении и его можно поглядеть, вдруг я облажался и на самом деле report это не спам. report report вот что там внутри: _PREVIEW_ report report детали анализа текста письма: (набрано _HITS_ очков, _REQD_ необходимо) report _SUMMARY_




Содержание  Назад  Вперед